{
  "name": "@digiresilience/node-signald",
  "version": "1.0.0",
  "description": "signald bindings for node.js",
  "author": "Abel Luck <abel@guardianproject.info>",
  "license": "AGPL-3.0-only",
  "private": false,
  "type": "module",
  "main": "build/main/index.js",
  "types": "types/main/index.d.ts",
  "files": [
    "/dist"
  ],
  "engines": {
    "node": ">=12.9.0"
  },
  "scripts": {
    "build": "tsc --build --verbose",
    "dev": "tsc-watch --build  --noClear",
    "generate": "node util/generate.js && prettier src/generated.ts -w --loglevel error && npm run build",
    "doc": "typedoc src/ --exclude '**/*.test.ts' --exclude '**/*.spec.ts' --name $npm_package_name --readme README.md  --out dist/docs",
    "fix": "echo n/a",
    "lint": "echo n/a",
    "fix:lint": "echo n/a",
    "fmt": "prettier \"src/**/*.ts\" --write",
    "test": "echo n/a"
  },
  "devDependencies": {
    "@types/backoff": "^2.5.2",
    "babel-preset-link": "*",
    "camelcase": "^7.0.1",
    "eslint-config-link": "*",
    "jest-config-link": "*",
    "tsc-watch": "^6.0.4",
    "tsconfig-link": "*",
    "typedoc": "^0.24.8"
  },
  "dependencies": {
    "backoff": "^2.5.0",
    "camelcase-keys": "^8.0.2",
    "eventemitter3": "^5.0.1",
    "snakecase-keys": "^5.4.6",
    "ts-custom-error": "^3.3.1",
    "uuid": "^9.0.0"
  }
}
